PacketIter.h File Reference

Implementation of a packet iterator (PI) More...

`#include <limits>`

Go to the source code of this file.

## Classes

struct | grk::ResIncludeBuffers
struct | grk::IncludeTracker
struct | grk::ResPrecinctInfo
struct | grk::PiResolution
struct | grk::PiComp
| Packet iterator component. More...
struct | grk::PacketIter
| Packet iterator. More...

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Enumerations

enum | grk::J2K_T2_MODE { grk::THRESH_CALC = 0 , grk::FINAL_PASS = 1 }

## Detailed Description

Implementation of a packet iterator (PI)

A packet iterator gets the next packet following the progression order